# Class CIM_NFS
extends CIM_RemoteFileSystem

A class derived from RemoteFileSystem representing that the FileSystem is mounted, using the NFS protocol, from a ComputerSystem. The properties of the NFS object deal with the operational aspects of the mount and represent the client-side configuration for NFS access. The FileSystemType (inherited from FileSystem) should be set to indicate the type of this FileSystem as it appears to the client.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_FileSystem
|
+--CIM_RemoteFileSystem
|
+--CIM_NFS

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class derived from RemoteFileSystem representing that the FileSystem is mounted, using the NFS protocol, from a ComputerSystem. The properties of the NFS object deal with the operational aspects of the mount and represent the client-side configuration for NFS access. The FileSystemType (inherited from FileSystem) should be set to indicate the type of this FileSystem as it appears to the client.

UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AttributeCaching | boolean |
Description | string | If set to true: Control attribute caching is enabled. If set to false: Control attribute caching is disabled.
AttributeCachingForDirectoriesMax | uint16 |
Description | string | Maximum number of seconds that cached attributes are held after directory update.
Units | string | Seconds
AttributeCachingForDirectoriesMin | uint16 |
Description | string | Minimum number of seconds that cached attributes are held after directory update.
Units | string | Seconds
AttributeCachingForRegularFilesMax | uint16 |
Description | string | Maximum number of seconds that cached attributes are held after file modification.
Units | string | Seconds
AttributeCachingForRegularFilesMin | uint16 |
Description | string | Minimum number of seconds that cached attributes are held after file modification.
Units | string | Seconds
ForegroundMount | boolean |
Description | string | If set to true: Retries are performed in the foreground. If set to false: If the first mount attempt fails, retries are performed in the background.
HardMount | boolean |
Description | string | If set to true: Once the FileSystem is mounted, NFS requests are retried until the hosting System responds. If set to false: Once the FileSystem is mounted, an error is returned if the hosting System does not respond.
Interrupt | boolean |
Description | string | If set to true: Interrupts are permitted for hard mounts. If set to false : Interrupts are ignored for hard mounts.
MountFailureRetries | uint16 |
Description | string | Maximum number of mount failure retries allowed.
ReadBufferSize | uint64 |
Description | string | Read buffer size in bytes.
Units | string | Bytes
RetransmissionAttempts | uint16 |
Description | string | Maximum number of NFS retransmissions allowed.
RetransmissionTimeout | uint32 |
Description | string | NFS timeout in tenths of a second.
Units | string | Tenths of Seconds
ServerCommunicationPort | uint32 |
Description | string | The remote ComputerSystem's (ie, the NFS File 'Server's) UDP port number.
WriteBufferSize | uint64 |
Description | string | Write buffer size in bytes.
Units | string | Bytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AvailableSpace | uint64 | CIM_FileSystem
BlockSize | uint64 | CIM_FileSystem
Caption | string | CIM_ManagedElement
CasePreserved | boolean | CIM_FileSystem
CaseSensitive | boolean | CIM_FileSystem
ClusterSize | uint32 | CIM_FileSystem
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_FileSystem
CreationClassName | string | CIM_FileSystem
CSCreationClassName | string | CIM_FileSystem
CSName | string | CIM_FileSystem
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
EncryptionMethod | string | CIM_FileSystem
FileSystemSize | uint64 | CIM_FileSystem
FileSystemType | string | CIM_FileSystem
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
MaxFileNameLength | uint32 | CIM_FileSystem
Name | string | CIM_FileSystem
NumberOfFiles | uint64 | CIM_FileSystem
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherPersistenceType | string | CIM_FileSystem
PersistenceType | uint16 | CIM_FileSystem
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ReadOnly | boolean | CIM_FileSystem
RequestedState | uint16 | CIM_EnabledLogicalElement
Root | string | CIM_FileSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
CodeSet | uint16[] | CIM_FileSystem
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement